<mamecheat version="1">

  <cheat desc="Infinite Bombs">
    <script state="run">
      <action>maincpu.pb@20183=63</action>
    </script>
  </cheat>

  <cheat desc="Always One line to end level">
    <script state="run">
      <action>maincpu.pb@20011=00</action>
    </script>
  </cheat>

  <cheat desc="One line to end level Now!">
    <script state="on">
      <action>maincpu.pb@20011=01</action>
    </script>
  </cheat>

  <cheat desc="Level 96 when level ends">
    <script state="on">
      <action>maincpu.pb@20010=5E</action>
    </script>
  </cheat>

  <cheat desc="Select next level">
    <parameter min="1" max="96" step="1"/>
    <script state="change">
      <action>maincpu.pb@20010=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Next Shape always ="> <comment>Note the next shape indicator will not update though!</comment>
    <parameter>
      <item value="0x00">Light Blue L</item>
      <item value="0x01">Yellow L</item>
      <item value="0x02">Dark Blue Square</item>
      <item value="0x03">Red Line</item>
      <item value="0x04">Purple Z</item>
      <item value="0x05">Green Z</item>
      <item value="0x06">Grey T</item>
      <item value="0x07">Left Arrow</item>
      <item value="0x08">Down Arrow</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@2001A=param</action>
    </script>
  </cheat>

  <cheat desc="Next Shape Now! ="> <comment>Note the next shape indicator will not update though!</comment>
    <parameter>
      <item value="0x00">Light Blue L</item>
      <item value="0x01">Yellow L</item>
      <item value="0x02">Dark Blue Square</item>
      <item value="0x03">Red Line</item>
      <item value="0x04">Purple Z</item>
      <item value="0x05">Green Z</item>
      <item value="0x06">Grey T</item>
      <item value="0x07">Left Arrow</item>
      <item value="0x08">Down Arrow</item>
    </parameter>
    <script state="change">
      <action>maincpu.pb@2001A=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
